# $Date: 1996/09/13 07:20:31 $ $Author: kg $ $Revision: 1.12 $ #
#++
Dom -- a library of basic domain constructors
++#

proc()
local path;
begin

domains: # force loading 'domains' #

Dom:= domain("Dom"):
Dom::info:= "Library 'Dom': Basic domain constructors":
Dom::interface:= {
    hold(BaseDomain),
    hold(Expression),
    hold(ArithmeticalExpression),
    hold(Numerical),
    hold(Float),
    hold(Rational),
    hold(Integer),
    hold(IntegerMod),
    hold(ExpressionField),
    hold(Fraction),
    hold(Polynomial),
    hold(DistributedPolynomial),
    hold(Product),
    hold(Matrix),
    hold(SquareMatrix),
    hold(TruncatedPowerSeries),
    hold(AlgebraicExtension),
    hold(Interval),
    hold(GaloisField),
    hold(IntervalSet),
    hold(Multiset),
    hold(DiscreteSet),
    hold(MatrixGroup),
    hold(Pade),
    hold(PermutationGroup),
    hold(DihedralGroup),
    hold(Real),
    hold(Complex)
}:

path := pathname("DOMAINS", "DOMAIN");

Dom::BaseDomain:= loadproc(Dom::BaseDomain, path, "BaseDom"):
Dom::Expression:= loadproc(Dom::Expression, path, "Expr"):
Dom::ArithmeticalExpression:= loadproc(Dom::ArithmeticalExpression, path, "AritExpr"):
Dom::Numerical:= loadproc(Dom::Numerical, path, "Numeric"):
Dom::Float:= loadproc(Dom::Float, path, "Float"):
Dom::Rational:= loadproc(Dom::Rational, path, "Rational"):
Dom::Integer:= loadproc(Dom::Integer, path, "Integer"):
Dom::IntegerMod:= loadproc(Dom::IntegerMod, path, "IntMod"):
Dom::ExpressionField:= loadproc(Dom::ExpressionField, path, "ExprFld");
Dom::Fraction:= loadproc(Dom::Fraction, path, "Fraction");
Dom::Polynomial:= loadproc(Dom::Polynomial, path, "Polynom");
Dom::DistributedPolynomial:= loadproc(Dom::DistributedPolynomial, path, "DistPoly");
Dom::Product:= loadproc(Dom::Product, path, "Product"):
Dom::Matrix:= loadproc(Dom::Matrix, path, "Matrix"):
Dom::SquareMatrix:= loadproc(Dom::SquareMatrix, path, "SqMatrix"):
Dom::TruncatedPowerSeries:= loadproc(Dom::TruncatedPowerSeries, path, "TrPowSer"):
Dom::AlgebraicExtension:= loadproc(Dom::AlgebraicExtension, path, "AlgebExt"):
Dom::Interval:= loadproc(Dom::Interval, path, "Interval"):
Dom::GaloisField:= loadproc(Dom::GaloisField, path, "GaloisF"):
Dom::IntervalSet:= loadproc(Dom::IntervalSet, path, "IntSet"):
Dom::Multiset:= loadproc(Dom::Multiset, path, "Multiset"):
Dom::DiscreteSet:= loadproc(Dom::DiscreteSet, path, "DiscrSet"):
Dom::MatrixGroup:= loadproc(Dom::MatrixGroup, path, "Mat"):
Dom::Pade:= loadproc(Dom::Pade, path, "Pade"):
Dom::PermutationGroup:= loadproc(Dom::PermutationGroup, path, "PermGrp"):
Dom::DihedralGroup:= loadproc(Dom::DihedralGroup, path, "Dihedral"):
Dom::Real:= loadproc(Dom::Real, path, "Real"):
Dom::Complex:= loadproc(Dom::Complex, path, "Complex"):

stdlib::LoadlibState["Dom"]:= TRUE:

end_proc():

# end of file #
